default: frontend/frontend.js dist-newstyle/build/x86_64-linux/ghc-9.6.5/souplesse-0.1.0.0/x/souplesse/build/souplesse/souplesse

dist-newstyle/build/x86_64-linux/ghc-9.6.5/souplesse-0.1.0.0/x/souplesse/build/souplesse/souplesse: app/*.hs lib/*.hs
	cabal build

FRONTEND=Main.elm Lib.elm Point.elm Pos.elm TileMap.elm Model.elm
frontend/frontend.js: $(patsubst %,frontend/src/%,$(FRONTEND))
	elm-test frontend/tests/
	elm make --output=$@ $<
